## WebKitDOMMediaList

WebKitDOMMediaList

## Functions

gchar * | webkit_dom_media_list_item ()
void | webkit_dom_media_list_delete_medium ()
void | webkit_dom_media_list_append_medium ()
gchar * | webkit_dom_media_list_get_media_text ()
void | webkit_dom_media_list_set_media_text ()
gulong | webkit_dom_media_list_get_length ()

## Properties

gulong | length | Read
gchar * | media-text | Read / Write

## Types and Values

| WebKitDOMMediaList

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMMediaList

## Description

## Functions

### webkit_dom_media_list_item ()

    gchar *
    webkit_dom_media_list_item (WebKitDOMMediaList *self,
                                gulong index);

#### Parameters

self | A WebKitDOMMediaList |
index | A gulong |

#### Returns

A gchar

### webkit_dom_media_list_delete_medium ()

    void
    webkit_dom_media_list_delete_medium (WebKitDOMMediaList *self,
                                         const gchar *oldMedium,
                                         GError **error);

#### Parameters

self | A WebKitDOMMediaList |
oldMedium | A gchar |
error | GError |

### webkit_dom_media_list_append_medium ()

    void
    webkit_dom_media_list_append_medium (WebKitDOMMediaList *self,
                                         const gchar *newMedium,
                                         GError **error);

#### Parameters

self | A WebKitDOMMediaList |
newMedium | A gchar |
error | GError |

### webkit_dom_media_list_get_media_text ()

    gchar *
    webkit_dom_media_list_get_media_text (WebKitDOMMediaList *self);

#### Parameters

self | A WebKitDOMMediaList |

#### Returns

A gchar

### webkit_dom_media_list_set_media_text ()

    void
    webkit_dom_media_list_set_media_text (WebKitDOMMediaList *self,
                                          const gchar *value,
                                          GError **error);

#### Parameters

self | A WebKitDOMMediaList |
value | A gchar |
error | GError |

### webkit_dom_media_list_get_length ()

    gulong
    webkit_dom_media_list_get_length (WebKitDOMMediaList *self);

#### Parameters

self | A WebKitDOMMediaList |

#### Returns

A gulong

## Types and Values

### WebKitDOMMediaList

    typedef struct _WebKitDOMMediaList WebKitDOMMediaList;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong MediaList:length.

Flags: Read

### The `“media-text”` property

      “media-text”               gchar *

read-write gchar* MediaList:media-text.

Flags: Read / Write

Default value: ""